Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.endeca.portal.data
Enum MDEXState.APIVersion

    java.lang.Object
      java.lang.Enum<MDEXState.APIVersion>
          com.endeca.portal.data.MDEXState.APIVersion

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MDEXState.APIVersion>

Enclosing class:
  MDEXState

    public static enum MDEXState.APIVersion

extends java.lang.Enum<MDEXState.APIVersion>

Enum Constant Summary
`DISCOVERY_SERVICE`
`ENE_QUERY`

Method Summary
`static MDEXState.APIVersion` | `parse(java.lang.String versionString)`
`static MDEXState.APIVersion` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MDEXState.APIVersion[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ENE_QUERY

    public static final MDEXState.APIVersion ENE_QUERY

### DISCOVERY_SERVICE

    public static final MDEXState.APIVersion DISCOVERY_SERVICE

Method Detail

### values

    public static final MDEXState.APIVersion[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(MDEXState.APIVersion c : MDEXState.APIVersion.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static MDEXState.APIVersion valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### parse

    public static MDEXState.APIVersion parse(java.lang.String versionString)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD